petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDASetAOType

Sets the type of application ordering for a distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetAOType(DM da,AOType aotype)

Collective on da

### Input Parameter

| da | - the distributed array
| aotype | - type of AO

### Output Parameters

### Notes

It will generate and error if an AO has already been obtained with a call to DMDAGetAO and the user sets a different AOType

### See Also

DMDACreate2d(), DMDAGetAO(), DMDAGetGhostCorners(), DMDAGetCorners(), DMLocalToGlobal()
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToLocalBegin(), DMLocalToLocalEnd(), DMDAGetGlobalIndices(), DMDAGetOwnershipRanges(), AO, AOPetscToApplication(), AOApplicationToPetsc()

### Level

intermediate

### Location

src/dm/impls/da/daindex.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages